#include <bits/stdc++.h>
using namespace std;
const int N=1e5+6;
long long n,m,k;
string s;
int a[N];
int main (){
	cin>>n>>m>>k;
	if(n%k!=0 && m%k!=0){
		cout << (n/k+1)*(m/k+1);
	}
	if(n%k==0 && m%k!=0){
		cout << (n/k)*(m/k+1);
	}
	if(n%k!=0 && m%k==0){
		cout << (n/k+1)*(m/k);
	}
	if(n%k==0 && m%k==0){
		cout << n/k*m/k;
	}
}
